ManagerMXBean (Apache Geode 1.15.4)

org.apache.geode.management

## Interface ManagerMXBean

-     public interface ManagerMXBean

  MBean that provides access to information and management functionality for a `Manager`.
  Since:
    GemFire 7.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPulseURL()` Returns the URL for connecting to the Pulse application.
    `String` | `getStatusMessage()` Returns the last set status message.
    `boolean` | `isRunning()` Returns whether the manager service is running on this member.
    `void` | `setPulseURL(String pulseURL)` Sets the URL for the Pulse application.
    `void` | `setStatusMessage(String message)` Sets the status message.
    `boolean` | `start()` Starts the manager service.
    `boolean` | `stop()` Stops the manager service.

- - ### Method Detail

    - #### isRunning

          boolean isRunning()

      Returns whether the manager service is running on this member.
      Returns:
        True of the manager service is running, false otherwise.

    - #### start

          boolean start()
                 throws JMException

      Starts the manager service.
      Returns:
        True if the manager service was successfully started, false otherwise.
      Throws:
        `JMException` - if an exception is encountered when starting the manager service

    - #### stop

          boolean stop()
                throws JMException

      Stops the manager service.
      Returns:
        True if the manager service was successfully stopped, false otherwise.
      Throws:
        `JMException` - if an exception is encountered when stopping the manager service

    - #### getPulseURL

          String getPulseURL()

      Returns the URL for connecting to the Pulse application.
      Returns:
        the URL for connecting to the Pulse application

    - #### setPulseURL

          void setPulseURL(String pulseURL)

      Sets the URL for the Pulse application.
      Parameters:
        `pulseURL` - The URL for the Pulse application.

    - #### getStatusMessage

          String getStatusMessage()

      Returns the last set status message. Generally, a subcomponent will call setStatusMessage to save the result of its execution. For example, if the embedded HTTP server failed to start, the reason for that failure will be saved here.
      Returns:
        the last set status message

    - #### setStatusMessage

          void setStatusMessage(String message)

      Sets the status message.
      Parameters:
        `message` - The status message.